Rensei docs
API ReferenceWorkflows

Create a workflow.

Create a workflow. - Rensei REST API operation reference.

POST
/api/workflows

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Request Body

application/json
  1. body
name?string
description?string|null
projectId?string
nodes?array<unknown>
edges?array<unknown>
viewport?unknown

Response Body

Workflow created.

application/json
  1. response
id*string
workspaceId*string
orgId*string|null
projectId*string|null
name*string
description*string|null
status*string
nodes*array<unknown>
edges*array<unknown>
viewport*unknown
definitionYaml*string|null
createdBy*string
createdAt*string
updatedAt*string
archivedAt*string|null
owningProjectSlug*string|null
brokenReason*unknown|null
triggerSubscriptionCount?integer
Range0 <= value <= 9007199254740991
Example Request
curl -X POST 'https://app.rensei.ai/api/workflows' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "workspaceId": "string",  "orgId": "string",  "projectId": "string",  "name": "string",  "description": "string",  "status": "string",  "nodes": [    null  ],  "edges": [    null  ],  "viewport": null,  "definitionYaml": "string",  "createdBy": "string",  "createdAt": "string",  "updatedAt": "string",  "archivedAt": "string",  "owningProjectSlug": "string",  "brokenReason": null,  "triggerSubscriptionCount": 0}